/*
 *  vector_3D.h
 *
 *  Author: M. Reza Mozaffari
 *  Physics Group, University of Qom
 *  Created on: Dec. 2020
 */

#ifndef VECTOR_3D_H_
#define VECTOR_3D_H_

#include <cstdio>
#include <cmath>

struct V3D {
    double x, y, z;
};

void print(V3D);
V3D add(V3D, V3D);
V3D sub(V3D, V3D);
double dot(V3D, V3D);
V3D cross(V3D, V3D);
V3D scale(V3D, double);
double norm(V3D);
V3D hat(V3D);

#endif // VECTOR_3D_H_